﻿using DataSource;
using Infragistics.Controls.Grids;
using System.Collections.ObjectModel;
using System.Windows.Controls;

namespace ExpansionTest
{
    public partial class MainPage : UserControl
    {
        public MainPage()
        {
            InitializeComponent();
        }

        private void XamGrid_RowSelectorClicked(object sender, RowSelectorClickedEventArgs e)
        {
            var data = e.Row.Data as Category;

            if (data != null)
                data.Products = new ObservableCollection<Product>()
                {
                    new Product()
                    {
                        ProductID = 1,
                        ProductName = string.Format("category {0} product", data.CategoryName) }
                };
        }

    }
}
